Subject: Re: [PATCH] rust: arm64: set uwtable llvm module flag for CONFIG_UNWIND_TABLES

From: Alice Ryhl <[email-masked]>
Date: Fri, 29 May 2026 06:32:47 +0000

On Thu, May 28, 2026 at 07:26:07AM +0200, Miguel Ojeda wrote:
> On Wed, May 27, 2026 at 8:18 PM Alice Ryhl <[email-masked]> wrote:
> >
> > Once the fix lands in rustc, this flag can be made conditional on the
> > rustc version. Note that passing the flag on a rustc with the fix
> > present has no effect.
> 
> Already landed now, so if the uwtable one is enough, we could already
> do that since it will be 1.98. But since it has no effect, we can keep
> the fix as-is and do that on top too.

Hrm, is there a way to perform the version check in the Makefile, or do
I need a Kconfig for whether the fix is needed?

Alice